.contacts {
  background: var(--secondary);
  position: relative;
  color: var(--white);
  overflow: hidden;
}

.contacts__top {
  padding: var(--sp) 0 40px;
  position: relative;
  z-index: 2;
}

.contacts__container {
  display: grid;
  grid-template-columns: 1fr 460px;
  gap: 76px;
  align-items: stretch;
}

.contacts__info .head {
  margin-bottom: 40px;
}

.contacts__table-wrap {
  margin-bottom: 50px;
  overflow-x: auto;
}

.contacts__table {
  width: -moz-max-content;
  width: max-content;
  min-width: 100%;
  border-collapse: collapse;
  text-align: left;
}

.contacts__table th {
  font-size: 12px;
  font-weight: 400;
  color: var(--grey-400);
  padding: 0 30px 10px 0;
  white-space: nowrap;
}

.contacts__table td {
  font: 700 12px/1.6 var(--ff1);
  padding: 10px 30px 10px 0;
  vertical-align: top;
  white-space: nowrap;
}

.contacts__table tr:first-child td {
  border-top: none;
  padding-top: 5px;
}

.contacts__table a {
  display: inline-block;
  transition: color var(--tr);
}

.contacts__table a:hover {
  color: var(--primary);
}

.contacts__table-address {
  display: block;
  margin-bottom: 10px;
}

.contacts__route.btn-transparent {
  display: inline-flex;
}

.contacts__form-wrap {
  position: relative;
}

.contacts__form-wrap .form {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

.contacts__map {
  background: var(--grey-100);
  position: relative;
  height: 400px;
  width: 100%;
}

.contacts__map-container {
  position: relative;
  z-index: 2;
  height: 30px;
  height: 100%;
  pointer-events: none;
}

.contacts__map-container:before {
  background: var(--primary);
  content: "";
  position: absolute;
  height: 10px;
  width: 100%;
  pointer-events: none;
  bottom: -1px;
  width: 100%;
  left: 686px;
  z-index: 2;
}

.contacts__map-canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.contacts__bottom {
  display: none;
}

.contacts__bottom .form {
  padding: 35px 10px 50px;
}

@media (max-width: 1400px) {
  .contacts__container {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .contacts__info .head {
    margin-bottom: 30px;
  }

  .contacts__table-wrap {
    margin-bottom: 0;
  }

  .contacts__form-wrap {
    display: none;
  }

  .contacts__form-wrap._mob {
    display: block;
    background-color: var(--black);
  }

  .contacts__form-wrap .form {
    position: static;
  }

  .contacts__map-container:before {
    left: 50%;
  }

  .contacts__bottom {
    display: block;
  }
}

@media (max-width: 760px) {
  .contacts__info .head {
    margin-bottom: 25px;
  }

  .contacts__table {
    width: 100%;
    display: block;
  }

  .contacts__table thead {
    display: none;
  }

  .contacts__table tbody {
    display: block;
  }

  .contacts__table tr {
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 20px 0;
    border-top: 1px solid var(--white-20);
  }

  .contacts__table td {
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 0;
    white-space: normal;
  }

  .contacts__table td:before {
    content: attr(data-label);
    font-weight: 400;
    color: var(--grey-400);
  }

  .contacts__table tr:first-child td {
    padding-top: 0;
  }

  .contacts__table tr:first-child {
    border-top: none;
    padding-top: 0;
  }

  .contacts__map {
    aspect-ratio: 1/1;
  }

  .contacts__map-container:before {
    height: 6px;
    left: 75px;
  }
}